import QtQuick
import QtQuick3D
import QtQuick.Timeline 1.0
Node {
    id: generic_SUV_2019_uv_obj
    eulerRotation.x: -90

    Model {
        id: windows_part_04
        source: "meshes/windows_part_04.mesh"
        materials: [
            windowglass_material
        ]
    }
    Model {
        id: window_parts_002
        source: "meshes/window_parts_002.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: mirror_00
        source: "meshes/mirror_00.mesh"
        materials: [
            chrome_material
        ]
    }
    Model {
        id: mirror_04
        source: "meshes/mirror_04.mesh"
        materials: mirror_material
    }
    Model {
        id: mirror_03
        source: "meshes/mirror_03.mesh"
        materials: [
            clearglass_material
        ]
    }
    Model {
        id: mirror_02
        source: "meshes/mirror_02.mesh"
        receivesReflections: true
        materials: [
            carpaint_material
        ]
    }
    Model {
        id: bottom01
        visible: true
        source: "meshes/bottom01.mesh"
        materials: [
            chrome_material
        ]
    }
    Model {
        id: trunk_weatherstrip
        source: "meshes/trunk_weatherstrip.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: body_02
        source: "meshes/body_02.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: dvornik_00
        source: "meshes/dvornik_00.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: body_06
        source: "meshes/body_06.mesh"
        receivesReflections: true
        materials: [
            carpaint_material
        ]
    }
    Model {
        id: body_11
        source: "meshes/body_11.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: interior_part_01
        source: "meshes/interior_part_01.mesh"
        materials: [
            interior_material
        ]
    }
    Model {
        id: windows_part_01
        source: "meshes/windows_part_01.mesh"
        materials: [
            windowglass_material
        ]
    }
    Model {
        id: bottom02
        source: "meshes/bottom02.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: interior_part_00
        source: "meshes/interior_part_00.mesh"
        materials: [
            interior_material
        ]
    }
    Model {
        id: interior_part_04
        source: "meshes/interior_part_04.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: interior_part_02
        source: "meshes/interior_part_02.mesh"
        materials: [
            mirror_material
        ]
    }
    Model {
        id: face_part_07
        source: "meshes/face_part_07.mesh"
        receivesReflections: true
        materials: [
            carpaint_material
        ]
    }
    Model {
        id: body_15
        source: "meshes/body_15.mesh"
        receivesReflections: true
        materials: [
            carpaint_material
        ]
    }
    Model {
        id: windows_part_03
        source: "meshes/windows_part_03.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: windows_part_05
        source: "meshes/windows_part_05.mesh"
        materials: [
            chrome_material
        ]
    }
    Model {
        id: windows_part_06
        source: "meshes/windows_part_06.mesh"
        materials: [
            redglass_material
        ]
    }
    Model {
        id: dvornik_02
        source: "meshes/dvornik_02.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: dvornik_01
        source: "meshes/dvornik_01.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: fender_black
        source: "meshes/fender_black.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: radiator_02
        source: "meshes/radiator_02.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: foglight_08
        source: "meshes/foglight_08.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: foglight_00
        source: "meshes/foglight_00.mesh"
        materials: [
            clearglass_material
        ]
    }
    Model {
        id: foglight_07
        source: "meshes/foglight_07.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: foglight_01
        source: "meshes/foglight_01.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: foglight_05
        source: "meshes/foglight_05.mesh"
        materials: [
            chrome_material
        ]
    }
    Model {
        id: foglight_02
        source: "meshes/foglight_02.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: foglight_03
        source: "meshes/foglight_03.mesh"
        materials: [
            orangeglass_material
        ]
    }
    Model {
        id: foglight_04
        source: "meshes/foglight_04.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: lamp004
        source: "meshes/lamp004.mesh"
        materials: [
            clearglass_material
        ]
    }
    Model {
        id: radiator_05
        source: "meshes/radiator_05.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: headlight_12
        source: "meshes/headlight_12.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: headlight_02
        visible: true
        source: "meshes/headlight_02.mesh"
        materials: [
            clearglass_material
        ]
    }
    Model {
        id: radiator_03
        source: "meshes/radiator_03.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: radiator_04
        source: "meshes/radiator_04.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: radiator_01
        source: "meshes/radiator_01.mesh"
        materials: [
            chrome_material
        ]
    }
    Model {
        id: radiator_00
        source: "meshes/radiator_00.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: bumper
        visible: true
        source: "meshes/bumper.mesh"
        receivesReflections: true
        materials: [
            carpaint_material
        ]
    }
    Model {
        id: radiator_06
        source: "meshes/radiator_06.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: headlight_01
        source: "meshes/headlight_01.mesh"
        materials: defaultMaterial
    }
    Model {
        id: fenders
        source: "meshes/fenders.mesh"
        receivesReflections: true
        materials: [
            carpaint_material
        ]
    }
    Model {
        id: headlight_08
        source: "meshes/headlight_08.mesh"
        materials: [
            chrome_material
        ]
    }
    Model {
        id: headlight_13
        source: "meshes/headlight_13.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: headlight_10
        source: "meshes/headlight_10.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: headlight_00
        source: "meshes/headlight_00.mesh"
        materials: defaultMaterial
    }
    Model {
        id: headlight_06
        source: "meshes/headlight_06.mesh"
        materials: [
            clearglass_material
        ]
    }
    Model {
        id: headlight_05
        source: "meshes/headlight_05.mesh"
        materials: [
            orangeglass_material
        ]
    }
    Model {
        id: headlight_03
        source: "meshes/headlight_03.mesh"
        materials: defaultMaterial
    }
    Model {
        id: headlight_09
        source: "meshes/headlight_09.mesh"
        materials: [
            chrome_material
        ]
    }
    Model {
        id: headlight_11
        source: "meshes/headlight_11.mesh"
        materials: [
            chrome_material
        ]
    }
    Model {
        id: lamp013
        source: "meshes/lamp013.mesh"
        materials: defaultMaterial
    }
    Model {
        id: headlight_07
        source: "meshes/headlight_07.mesh"
        materials: [
            clearglass_material
        ]
    }
    Model {
        id: headlight_04
        source: "meshes/headlight_04.mesh"
        materials: defaultMaterial
    }
    Model {
        id: foglight_06
        source: "meshes/foglight_06.mesh"
        materials: [
            clearglass_material
        ]
    }
    Model {
        id: gablight_07
        source: "meshes/gablight_07.mesh"
        materials: [
            redglass_material
        ]
    }
    Model {
        id: gablight_09
        source: "meshes/gablight_09.mesh"
        receivesReflections: true
        materials: [
            chrome_material
        ]
    }
    Model {
        id: gablight_06
        source: "meshes/gablight_06.mesh"
        receivesReflections: true
        materials: [
            black_material
        ]
    }
    Model {
        id: roof_glass
        source: "meshes/roof_glass.mesh"
        materials: [
            darkglass_material
        ]
    }
    Model {
        id: bumper_back_01
        source: "meshes/bumper_back_01.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: gablight_08
        source: "meshes/gablight_08.mesh"
        receivesReflections: true
        materials: [
            black_material
        ]
    }
    Model {
        id: porog
        source: "meshes/porog.mesh"
        receivesReflections: true
        materials: [
            carpaint_material
        ]
    }
    Model {
        id: doors
        source: "meshes/doors.mesh"
        receivesReflections: true
        materials: carpaint_material
    }
    Model {
        id: door_handle
        source: "meshes/door_handle.mesh"
        receivesReflections: true
        materials: carpaint_material
    }
    Model {
        id: body
        source: "meshes/body.mesh"
        receivesReflections: true
        materials: [
            carpaint_material
        ]
    }
    Model {
        id: doors_01
        source: "meshes/doors_01.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: window
        source: "meshes/window.mesh"
        materials: [
            windowglass_material
        ]
    }
    Model {
        id: doors_00
        source: "meshes/doors_00.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: trunk_01
        source: "meshes/trunk_01.mesh"
        receivesReflections: true
        materials: [
            carpaint_material
        ]
    }
    Model {
        id: window_black
        source: "meshes/window_black.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: roof_part
        source: "meshes/roof_part.mesh"
        materials: black_material
    }
    Model {
        id: roof
        source: "meshes/roof.mesh"
        receivesReflections: true
        materials: [
            carpaint_material
        ]
    }
    Model {
        id: trunk_00
        source: "meshes/trunk_00.mesh"
        receivesReflections: true
        materials: [
            carpaint_material
        ]
    }
    Model {
        id: back_window
        source: "meshes/back_window.mesh"
        materials: [
            windowglass_material
        ]
    }
    Model {
        id: trunk_02
        source: "meshes/trunk_02.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: ex_pipe_01
        source: "meshes/ex_pipe_01.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: ex_pipe_00
        source: "meshes/ex_pipe_00.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: gablight_05
        source: "meshes/gablight_05.mesh"
        receivesReflections: true
        materials: [
            clearglass_material
        ]
    }
    Model {
        id: back_window_black
        source: "meshes/back_window_black.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: gablight_12
        source: "meshes/gablight_12.mesh"
        receivesReflections: true
        materials: [
            chrome_material
        ]
    }
    Model {
        id: gablight_10
        source: "meshes/gablight_10.mesh"
        materials: [
            clearglass_material
        ]
    }
    Model {
        id: gablight_11
        source: "meshes/gablight_11.mesh"
        materials: [
            clearglass_material
        ]
    }
    Model {
        id: gablight_13
        source: "meshes/gablight_13.mesh"
        materials: [
            clearglass_material
        ]
    }
    Model {
        id: gablight_14
        source: "meshes/gablight_14.mesh"
        materials: [
            clearglass_material
        ]
    }
    Model {
        id: gablight_02
        source: "meshes/gablight_02.mesh"
        materials: [
            clearglass_material
        ]
    }
    Model {
        id: gablight_00
        source: "meshes/gablight_00.mesh"
        receivesReflections: true
        materials: [
            clearglass_material
        ]
    }
    Model {
        id: gablight_01
        source: "meshes/gablight_01.mesh"
        materials: [
            redglass_material
        ]
    }
    Model {
        id: gablight_03
        source: "meshes/gablight_03.mesh"
        materials: [
            orangeglass_material
        ]
    }
    Model {
        id: gablight_04
        source: "meshes/gablight_04.mesh"
        materials: [
            clearglass_material
        ]
    }
    Model {
        id: bumper_back_00
        source: "meshes/bumper_back_00.mesh"
        receivesReflections: true
        materials: [
            carpaint_material
        ]
    }
    Model {
        id: mirror_01
        source: "meshes/mirror_01.mesh"
        materials: [
            orangeglass_material
        ]
    }
    Model {
        id: bumper_back_02
        source: "meshes/bumper_back_02.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: trunk_rubber
        source: "meshes/trunk_rubber.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: radiator_25
        source: "meshes/radiator_25.mesh"
        materials: [
            chrome_material
        ]
    }
    Model {
        id: radiator_26
        source: "meshes/radiator_26.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_10
        source: "meshes/wh_fl_10.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_11
        source: "meshes/wh_fl_11.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_12
        source: "meshes/wh_fl_12.mesh"
        materials: [
            chrome_material
        ]
    }
    Model {
        id: wh_fl_13
        source: "meshes/wh_fl_13.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_15
        source: "meshes/wh_fl_15.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_16
        source: "meshes/wh_fl_16.mesh"
        materials: [
            brakedisk_material
        ]
    }
    Model {
        id: wh_fl_17
        source: "meshes/wh_fl_17.mesh"
        materials: [
            tire_material
        ]
    }
    Model {
        id: wh_fl_18
        source: "meshes/wh_fl_18.mesh"
        materials: [
            rim_second_material
        ]
    }
    Model {
        id: wh_fl_19
        source: "meshes/wh_fl_19.mesh"
        materials: [
            rim_material
        ]
    }
    Model {
        id: wh_fl_02
        source: "meshes/wh_fl_02.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_04
        source: "meshes/wh_fl_04.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_00
        source: "meshes/wh_fl_00.mesh"
        materials: [
            chrome_material
        ]
    }
    Model {
        id: wh_fl_03
        source: "meshes/wh_fl_03.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_06
        source: "meshes/wh_fl_06.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_07
        source: "meshes/wh_fl_07.mesh"
        materials: [
            brakedisk_material
        ]
    }
    Model {
        id: wh_fl_08
        source: "meshes/wh_fl_08.mesh"
        materials: [
            tire_material
        ]
    }
    Model {
        id: wh_fl_01
        source: "meshes/wh_fl_01.mesh"
        materials: [
            rim_second_material
        ]
    }
    Model {
        id: wh_fl_09
        source: "meshes/wh_fl_09.mesh"
        materials: [
            rim_material
        ]
    }
    Model {
        id: radiator_24
        source: "meshes/radiator_24.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: radiator_23
        source: "meshes/radiator_23.mesh"
        materials: [
            chrome_material
        ]
    }
    Model {
        id: radiator_27
        source: "meshes/radiator_27.mesh"
        materials: [
            chrome_material
        ]
    }
    Model {
        id: radiator_28
        source: "meshes/radiator_28.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_20
        source: "meshes/wh_fl_20.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_21
        source: "meshes/wh_fl_21.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_22
        source: "meshes/wh_fl_22.mesh"
        materials: [
            chrome_material
        ]
    }
    Model {
        id: wh_fl_23
        source: "meshes/wh_fl_23.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_24
        source: "meshes/wh_fl_24.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_25
        source: "meshes/wh_fl_25.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_26
        source: "meshes/wh_fl_26.mesh"
        materials: [
            brakedisk_material
        ]
    }
    Model {
        id: wh_fl_27
        source: "meshes/wh_fl_27.mesh"
        materials: [
            tire_material
        ]
    }
    Model {
        id: wh_fl_28
        source: "meshes/wh_fl_28.mesh"
        materials: [
            rim_second_material
        ]
    }
    Model {
        id: wh_fl_29
        source: "meshes/wh_fl_29.mesh"
        materials: [
            rim_material
        ]
    }
    Model {
        id: wh_fl_30
        source: "meshes/wh_fl_30.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_31
        source: "meshes/wh_fl_31.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_32
        source: "meshes/wh_fl_32.mesh"
        materials: [
            chrome_material
        ]
    }
    Model {
        id: wh_fl_33
        source: "meshes/wh_fl_33.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_34
        source: "meshes/wh_fl_34.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_35
        source: "meshes/wh_fl_35.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_36
        source: "meshes/wh_fl_36.mesh"
        materials: [
            brakedisk_material
        ]
    }
    Model {
        id: wh_fl_37
        source: "meshes/wh_fl_37.mesh"
        materials: [
            tire_material
        ]
    }
    Model {
        id: wh_fl_38
        source: "meshes/wh_fl_38.mesh"
        materials: [
            rim_second_material
        ]
    }
    Model {
        id: wh_fl_39
        source: "meshes/wh_fl_39.mesh"
        materials: [
            rim_material
        ]
    }
    Model {
        id: radiator_29
        source: "meshes/radiator_29.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: radiator_30
        source: "meshes/radiator_30.mesh"
        materials: [
            chrome_material
        ]
    }
    Model {
        id: wh_fl_05
        source: "meshes/wh_fl_05.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: wh_fl_14
        source: "meshes/wh_fl_14.mesh"
        materials: [
            black_material
        ]
    }
    Model {
        id: streakLights
        x: 76.922
        y: -139.508
        source: "meshes/streaklight.mesh"
        scale.z: 0.38613
        scale.y: 0.38613
        scale.x: 0.38613
        z: 67.78294
        eulerRotation.z: -93.61587
        eulerRotation.y: 75.71198
        eulerRotation.x: 13.17885
        materials: streak
    }

    Model {
        id: shadow
        x: 0
        y: 0
        source: "#Rectangle"
        z: 0.1
        depthBias: 0
        scale.z: 1.625
        scale.y: 7.76743
        scale.x: 6.83603
        materials: rectMaterial
    }

    Model {
        id: streakLights2
        x: -38.404
        y: -183.081
        source: "meshes/streaklight.mesh"
        materials: streak2
        eulerRotation.y: 74.00456
        scale.x: 0.23637
        scale.y: 0.42105
        z: 73.02686
        scale.z: 0.23637
        eulerRotation.x: 49.64371
        eulerRotation.z: -95.41566
    }

    Node {
        id: __materialLibrary__
        PrincipledMaterial {
            id: black_material
            roughness: 0.2
            clearcoatAmount: 1
            objectName: "black_material"
            metalness: 0.1
            baseColor: "#2b2b2b"
            specularAmount: 1
        }

        PrincipledMaterial {
            id: chrome_material
            objectName: "chrome_material"
            metalness: 0.7
            baseColor: "#fcfcfc"
            specularAmount: 1
            specularReflectionMap: studio_small_07_2k
            lighting: PrincipledMaterial.FragmentLighting
        }

        PrincipledMaterial {
            id: windowglass_material
            opacity: 0.65
            roughness: 0.1
            cullMode: Material.BackFaceCulling
            baseColor: "#1b1f1f"
            metalness: 0.5
            transmissionFactor: 1
            specularReflectionMap: studio_small_07_2k
            Texture {
                id: studio_small_07_2k
                source: "../../../content/images/sandi_hdr.hdr"
                positionU: 0
                scaleU: 1
                pivotV: 0
                mappingMode: Texture.LightProbe
                scaleV: 1.1
                positionV: 0
            }
            objectName: "windowglass_material"
            lightProbe: studio_small_07_2k
            depthDrawMode: Material.AlwaysDepthDraw
            specularAmount: 1
        }

        PrincipledMaterial {
            id: mirror_material
            objectName: "mirror_material"
            metalness: 0.4
            baseColor: "#494949"
        }

        PrincipledMaterial {
            id: clearglass_material
            opacity: 0.2
            cullMode: Material.NoCulling
            objectName: "clearglass_material"
            metalness: 0.9
            baseColor: "#ededed"
            specularReflectionMap: studio_small_07_2k
        }

        PrincipledMaterial {
            id: carpaint_material
            roughness: 0.1
            objectName: "carpaint_material"
            metalness: 0.1
            baseColor: "#ffffff"
            specularReflectionMap: studio_small_07_2k
        }

        DefaultMaterial {
            id: interior_material
            specularRoughness: 0.001
            specularTint: "#cccccc"
            indexOfRefraction: 3
            diffuseColor: "#4f4f4f"
            objectName: "interior_material"
            lightProbe: studio_small_07_2k
            fresnelPower: 1
            specularAmount: 1
            specularModel: DefaultMaterial.Default
        }

        PrincipledMaterial {
            id: redglass_material
            opacity: 0.3
            emissiveFactor.x: 5
            cullMode: Material.NoCulling
            metalness: 0
            baseColor: "#ff0000"
            emissiveFactor.z: 0
            objectName: "redglass_material"
            emissiveFactor.y: 0
            specularAmount: 0.9
            lighting: PrincipledMaterial.NoLighting
        }

        PrincipledMaterial {
            id: orangeglass_material
            opacity: 0.3
            objectName: "orangeglass_material"
            metalness: 0.5
            baseColor: "#fe6500"
        }

        DefaultMaterial {
            id: defaultMaterial
            diffuseColor: "#ffffff"
            objectName: "defaultMaterial"
            lighting: DefaultMaterial.FragmentLighting
            specularReflectionMap: studio_small_07_2k
        }

        PrincipledMaterial {
            id: darkglass_material
            opacity: 0.8
            objectName: "darkglass_material"
            metalness: 0.5
            baseColor: "#1c1c1c"
            specularReflectionMap: studio_small_07_2k
        }

        PrincipledMaterial {
            id: brakedisk_material
            roughness: 0.2
            objectName: "brakedisk_material"
            metalness: 0.5
            baseColor: "#333333"
        }

        DefaultMaterial {
            id: tire_material
            diffuseColor: "#1b1b1b"
            specularRoughness: 1
            objectName: "tire_material"
            indexOfRefraction: 1.2
            specularAmount: 0.5
        }

        PrincipledMaterial {
            id: rim_second_material
            roughness: 0.2
            objectName: "rim_second_material"
            metalness: 0.4
            baseColor: "#2a2a2a"
            specularReflectionMap: studio_small_07_2k
        }

        PrincipledMaterial {
            id: rim_material
            roughness: 0.2
            objectName: "rim_material"
            metalness: 0.7
            baseColor: "#dbdbdb"
            specularAmount: 0.6
            specularReflectionMap: studio_small_07_2k
        }

        DefaultMaterial {
            id: streak
            opacity: 0.9
            diffuseMap: suv_hdrmap
            emissiveFactor.x: 1
            indexOfRefraction: 2.2
            emissiveFactor.z: 1
            diffuseColor: "#fffcfc"
            Texture {
                id: suv_hdrmap
                source: "../../../content/images/streak.png"
                tilingModeHorizontal: Texture.Repeat
                positionU: 0
                tilingModeVertical: Texture.Repeat
                scaleU: 1
                scaleV: 1
            }
            objectName: "streak"
            emissiveFactor.y: 1
            lighting: DefaultMaterial.FragmentLighting
            depthDrawMode: Material.AlwaysDepthDraw
        }

        DefaultMaterial {
            id: rectMaterial
            opacity: 1
            diffuseMap: groundshadow
            specularTint: "#000000"
            diffuseColor: "#fdfdfd"
            Texture {
                id: groundshadow
                source: "maps/groundshadow.png"
            }
            objectName: "rectMaterial"
            blendMode: DefaultMaterial.SourceOver
            lighting: DefaultMaterial.NoLighting
            depthDrawMode: Material.AlwaysDepthDraw
        }

        DefaultMaterial {
            id: streak2
            opacity: 0.9
            diffuseMap: suv_hdrmap2
            emissiveFactor.x: 1
            indexOfRefraction: 2.2
            emissiveFactor.z: 1
            diffuseColor: "#fffcfc"
            Texture {
                id: suv_hdrmap2
                source: "../../../content/images/carlight1.png"
                tilingModeHorizontal: Texture.Repeat
                positionU: 0
                tilingModeVertical: Texture.Repeat
                scaleU: 1
                scaleV: 1
            }
            objectName: "streak2"
            emissiveFactor.y: 1
            lighting: DefaultMaterial.FragmentLighting
            depthDrawMode: Material.AlwaysDepthDraw
        }
    }
}







/*##^##
Designer {
    D{i:0}D{i:11;invisible:true}
}
##^##*/
